/**
                  Maximus-FileArea.Ctl to MxUtil.Cfg
  -------------------------------------------------------------------

  Dieses  kleine Script entnimmt aus der FileArea.Ctl von Maximus 3.x
  die  Download-Pfadangaben  der  FileAreas und schreibt diese in die
  MxUtil.Cfg fr den File-Request-Prozessor MxBuck.

  Dieses  kleine  Script  ist fr meine Anforderungen vollkommen aus-
  reichend.  Es  reicht nmlich, bei nderungen bzgl. meiner FileBase
  in  Maximus,  einfach  die Angaben auszulesen und diese neu zu ver-
  arbeiten.

  Angaben  wie z. B.  HDMAININDEX, CDMAININDEX oder DESCBEGIN  ndern
  sich  wahrscheinlich  nur  sehr  selten  und wurden deshalb in eine
  Datei  namens  'MxHdr.Cfg'  bertragen, die bei Aufruf von 'Max2Mx'
  an  den  Anfang  der  neu zu erstellenden 'MxUtil.Cfg' kopiert wird
  (Sample beigelegt).

  Oliver Nobbe (2:2432/235)                        Minden, 29.03.1997


Installation:
-------------

- Alle Dateien ( die wenigen ;) ) 
  am besten in ein eigenes 
  Verzeichnis schieben
- Variablen an das System anpassen 
  (weiter unten erlutert)
- Freuen!

                       *************************
                       *   !!! ATTENTION !!!   *
                       *************************
                       Bei den ersten 2 Aufrufen
                       treten    Fehlermeldungen 
                       auf, da noch keine BackUp
                       Files angelegt wurden.


Damit das Programm alles das macht was es soll musst Du einige
Variablen fr Dein System anpassen:

 MAXDIR       Maximus-Directoty;  hier  sollten  sich  die  CTL-Files 
              befinden

 MxDir        In  diesem Verzeichnis befindet sich der MxBuck-Request
              Prozessor

 FILEHD.n     Name   des/der   entsprechenden  Controlfiles  fr  die 
 FILECD.n     FileAreas in Maximus
              Solltest  Du  mehr als ein Controlfile haben (z. B. fr
              mehrere  CD-ROMs)  einfach  die  Anzahl  der  Files  in 
              'FileHD.0 = n'  angeben  (wobei  n dann fr die Anzahl
              der Files steht

 MxHeader     In diesem File (hier: MxHdr.Cfg) stehen Angaben wie z.B.
              HDMAININDEX (siehe original MxUtil.Cfg die dem MxBuck-
              Archiv beiliegt).

 MxReq        Name der MxUtil.Cfg (MxUtil erwartet MxUtil.Cfg ;) )

 BackCfg      BackUp-File-Name (hier: MxUtil.Sik)

     Jetzt geht das los ...!

**/

MAXDIR   = 'e:\max\ctl\files\'       /* Nicht den Backslash vergessen!!   */
MxDIR    = 'e:\mxbuck\'

FileHD.0 = 2                         /* Summe der Ctl-Files (Festplatte   */
FileHD.1 = 'Filearea.Ctl'            /* Und hier knnen dann alle  CTLs   */
FileHD.2 = 'GFDFiles.Ctl'            /* eingetragen werden.               */

FileCD.0 = 4                         /* Das gleiche fr CD-ROMs!          */
FileCD.1 = 'HOB_8_94.Ctl'            /* Wenn jetzt jemand kein CD-Lw hat  */
FileCD.2 = 'HOB_4_97.Ctl'            /* einfach 'FileCD.0 = 0' eintragen! */
FileCD.3 = 'Treiber.Ctl'
FileCD.4 = 'Xess.Ctl'

MxHeader = 'MxHdr.Cfg'
MxReq    = 'mxutil.Cfg'
BackCfg  = 'mxutil.Sik'

Ver = 1.0

'@echo off'

Say 'Max2Mx (1997) ver.' Ver 
Say ''

'@erase' BackCfg
'@move ' (MxDIR)MxReq BackCfg
'@copy ' MxHeader MxReq

dload = ' '
fbbs = ' '

/* Get stuff for CD-ROMs */

Do a=1 to FileHD.0

do until lines(MaxDir||FileHD.a)=0

 parse upper value linein(MaxDir||FileHD.a) with zeile
 zeile = Translate(zeile,' ',d2c(09))

  if word(zeile,1) = "DOWNLOAD" then dload=word(zeile,2)
  if word(zeile,1) = "FILELIST" then fbbs=word(zeile,2)
  if word(zeile,1) = "ACS" then zugriff=word(zeile,2)

  if word(zeile,1) = "END " then do
   if left(zugriff,5) <> "SYSOP" then do
     i=length(dload)
     if substr(dload,i,1) <> '\' then dload=insert(dload,'\')

     if fbbs = ' ' then fbbs=insert(dload,'FILES.BBS')

     call lineout(MxReq), "HD A" dload||" " fbbs
     dload = ' '
     fbbs = ' '
   end
  end
 end
ok=stream(MaxDir||FileHD.a,c,'close')
ok=stream(MxReq,c,'close')
SAY''
Say FileHD.a' bearbeitet!' 
End

/* Get stuff for CD-ROMs */

Do a=1 to FileCD.0

do until lines(MaxDir||FileCD.a)=0

 parse upper value linein(MaxDir||FileCD.a) with zeile
 zeile = Translate(zeile,' ',d2c(09))

  if word(zeile,1) = "DOWNLOAD" then dload=word(zeile,2)
  if word(zeile,1) = "FILELIST" then fbbs=word(zeile,2)
  if word(zeile,1) = "ACS" then zugriff=word(zeile,2)

  if word(zeile,1) = "END " then do
   if left(zugriff,5) <> "SYSOP" then do
     i=length(dload)
     if substr(dload,i,1) <> '\' then dload=insert(dload,'\')

     if fbbs = ' ' then fbbs=insert(dload,'FILES.BBS')

     call lineout(MxReq), "CD A" dload||" " fbbs
     dload = ' '
     fbbs = ' '
   end
  end
 end
ok=stream(MaxDir||FileCD.a,c,'close')
ok=stream(MxReq,c,'close')
SAY''
Say FileCD.a' bearbeitet!' 
End

Say''
'@copy ' MxReq MxDIR
'@erase ' MxReq
Say ''
SAY '... das wars auch schon'
RETURN
